#ifndef H_sherman_morrison
#define H_sherman_morrison

#include <inttypes.h>
#include <stdbool.h>

#include "sankowski.h" 

bool sherman_morrison(sankowski_t *s, uint32_t u, uint32_t v, int32_t delta);
bool sherman_morrison_full(sankowski_t *s);

#endif
